Subject: Re: bug#58801: [PATCH] Autoload the `calc-eval-error' variable
From: Stefan Kangas <[email-masked]>
To: Matt Armstrong <[email-masked]>
Cc: [email-masked]
Date: Sun, 5 Nov 2023 08:38:21 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Stefan Kangas <[email-masked]> writes:

> We typically avoid autoloading variables, and I'm not sure it's
> justified here.  See (info "(elisp) When to Autoload") for details.
>
> Could we instead just declare it in calc.el?  I believe that should
> silence any warnings from the byte-compiler.  It's a one line change:
>
>     (defvar calc-eval-error)
>
> Or will that not work in your use case for some reason?
>
>> (In the particular case of the Calc package, dozens of functions and
>> variables are already autoloaded.  The omission of `calc-eval-error'
>> also seems more an oversight than intentional.)
>
> FWIW, I couldn't find any autoloaded variables in calc-loaddefs.el.
> What am I missing?

No further comments here within 2 months, so I've pushed the above
proposed fix to master, and I'm closing this bug.

If this is still an issue, please reply to this email (use "Reply to
all" in your email client) and we can reopen the bug report.

[1: ad82bc9b29e]: 2023-11-05 17:36:21 +0100
  Declare calc-eval-error in calc.el
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=ad82bc9b29eacad29a441bbb4e87bd09ef1ff1c4